<?php
session_start();
ob_start();
$father = $_SESSION["user_id"];
include "../actions/dbPDO.php";

$case_no         = $_POST['case_no'];
$money_wanted    = $_POST['money_wanted'];
$contract_id     = $_POST['id2'];
$court_id        = $_POST['court_id'];
$floor    	     = $_POST["floor"];
$zone            = $_POST["zone"];
$start_comm      = $_POST['start_comm'];

// $name ='/^[-a-zA-Z0-9_\p{Arabic}-\s]*$/u';
// $name = '/^[a-zA-Zأ-ي\s]*$/u';
$Number = '/^[0-9]+(\.[0-9]{1,2})?$/' ;

    $maxsql= $db->prepare("SELECT max(case_id) as maxd , max(audate) as time1 FROM cases");
    $maxsql->execute();
if($maxsql->rowCount()>0){$row = $maxsql->fetch(PDO::FETCH_ASSOC);
    $maxD   = $row['maxd']+1;
    $start  = $row['time1'] ;
  } else {$maxD = 1 ; }
// if(!empty($maxD)){
//             $start = strtotime($start);
//             $date_today = date("Y-m-d H:i:s");
//             $end = strtotime($date_today);
//             $end = $end + 3600 ;
//             $mano =   $end -$start  ;
//         if($mano < 15){exit();}
//     }

if(empty($start_comm))
{
  echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
        <b> من فضل سجل ملاحظات الفتح علي الاقل ليتم حفظ المعاملة...</b></div>";
  exit();
}
// else{
// if(!preg_match($name,$start_comm)){
//   echo "
//   <div class='alert alert-warning'>
//   <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
//   <b>راجع من فضلك ... $start_comm يوجد علامات غريبة في رقم الفاتورة</b></div> ";
//   exit();
// }
// }
if(!empty($case_no)){
    if(!preg_match($Number,$case_no)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b> تأكد من الرقم !! $case_no رقم المعاملة أرقام فقط </b></div>";
      exit();
    }
    if((strlen($case_no) < 0)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>اجمالي الفاتورة أقل من الصفر ... انتبه من فضلك ..<b></div>";
      exit();
    }
}
if(!empty($money_wanted)){
    if(!preg_match($Number,$money_wanted)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b> تأكد من الرقم !! $money_wanted المبلغ المطلوب أرقام فقط </b></div>";
      exit();
    }
    if($money_wanted < 0){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>اجمالي الفاتورة أقل من الصفر ... انتبه من فضلك ..<b></div>";
      exit();
    }
}

if(!empty($floor)){
    if(!preg_match($Number,$floor)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b> تأكد من الرقم !! $floor الدور داخل المبني ارقام فقط</b></div>";
      exit();
    }}
    // existing case to current contract
    $sql =$db->prepare("SELECT case_no , contract_id , start FROM cases
                    WHERE   contract_id = ? AND status < 5  LIMIT 1");
    $sql->bindParam(1,$contract_id);
    $sql->execute();
  if($sql->rowCount()>0){$row = $sql->fetch(PDO::FETCH_ASSOC);
      $case_no     = $row["case_no"];
      $contract_id  = $row["contract_id"];
      $start        = $row["start"];
    echo "  <div class='alert alert-danger'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b> تم تسجيل معاملة لعقد رقم $contract_id  من قبل كود رقم $case_no بتاريخ  $start</b>
        </div>  ";
  exit();
}else {
$start        = $_POST['start'];
  $sql = $db->prepare(" INSERT INTO cases
  (case_id , case_no, money_wanted , start, contract_id,court_id, floor ,zone , start_comm , father )
   VALUES (?, ?, ?, ?, ?, ? , ?, ? , ? , ? )");
   $sql->bindParam(1,$maxD);
   $sql->bindParam(2,$case_no);
   $sql->bindParam(3,$money_wanted);
   $sql->bindParam(4,$start);
   $sql->bindParam(5,$contract_id);
   $sql->bindParam(6,$court_id);
   $sql->bindParam(7,$floor);
   $sql->bindParam(8,$zone);
   $sql->bindParam(9,$start_comm);
   $sql->bindParam(10,$father);
 if($sql->execute()){
   echo "<div class='alert alert-success'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
          <b>تم تسجيل معاملة المحكمة بنجاح. </b></div>";
  }
  else{ echo "<div class='alert alert-danger'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b></div>";}
}
?>
